Bug 146666 - IA32EL Release Note Update
IA32EL Release Note Update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ia32el (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-31 12:08 EST by Karen Bennet
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-10 04:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karen Bennet 2005-01-31 12:08:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3) Gecko/20040803

Description of problem:
>>To: bennet@redhat.com; sdenham@redhat.com
>>> > Cc: Gabbert, Keve A; Bistry, David; Gustafson, Geoffrey R; Goldenberg,
>>> > Shalom; Zemach, Yigal; Zach, Yoav; Shenkar, Dror
>>> > Subject: IA-32 Execution Layer 5.3 for Linux update for RedHat [Item
>>> > w/ Attachment MOVED]
>>> > 
>>> > 
>>> >  
>>> > 
>>> > We have prepared the IA-32 EL update version for EL4 U1 and EL3 U5 and
>>> > run it through our full validation. See below full description of the
>>> > release.
>>> > 
>>> > Main changes (from 88.34.22):
>>> > 
>>> >       * Fix execve to invoke ia32 interpreter
>>> >       * Credential fixes
>>> >       * Ia-32 core files names determined by system demands (/proc)
>>> >       * Fixed a bug caused ibm-jvm to fail
>>> >       * some other minor bug fixes
>>> > 
>>> > 
>>> >  
>>> > 
>>> > IA-32 Execution Layer 5337 / 5.3.96.36.22 Release Notes
>>> > 
>>> > Introduction
>>> > 
>>> > These release notes are for the IA-32 Execution Layer  5337 /
>>> > 5.3.96.36.22. 
>>> > 
>>> > For further IA-32 EL-related information, please refer to:
>>> > 
>>> > *        The IA-32 Execution Layer Reference Guide at
>>> > 
>>> >
>
>> http://www.intel.com/cd/ids/developer/asmo-na/eng/microprocessors/itaniu
>> m/66007.htm,
>
>>> > 
>>> > *        The latest Itanium 2 Processor Specification Update for
>>> > errata updates, specification changes, specification clarifications,
>>> > and documentation changes.
>>> > 
>>> > Main Changes in IA-32 EL 5337 / 5.3.96.36.22
>>> > 
>>> > Details on the following errata are documented in the Itanium 2
>>> > processor specification update.
>>> > 
>>> > *        Erratum 18 - Large data file accesses may return incorrect
>>> > data. 
>>> > 
>>> > The erratum is fixed starting in version 5.3.81.31.21 of libia32x.so
>>> > 
>>> > *        Erratum 19 - IA-32 EL applications will not run on kernels
>>> > with page sizes greater than 16k
>>> > 
>>> > The erratum is fixed starting in version 5.3.86.34.22 of libia32x.so
>>> > 
>>> > *        Spec Clarification 12 - Core-dump file may contain Itanium(r)
>>> > architecture details
>>> > 
>>> > The clarification is fixed starting in version 5.3.85.34.22 of
>>> > libia32x.so
>>> > 
>>> > *        Spec Clarification 13 - IA-32 process may hang while
>>> > generating core-dump file 
>>> > 
>>> > The clarification is fixed starting in version 5.3.88.34.22 of
>>> > libia32x.so
>>> > 
>>> > Additional changes (not listed in the Itanium 2 processor
>>> > specification update)
>>> > 
>>> > *        Starting in 5.3.84.34.22 libia32x.so, implemented
>>> > compensation to a kernel change, such that the application loader
>>> > could find IA-32 libraries and other files in /emul. It is required
>>> > for kernels that are compiled without alt-root support. The support is
>>> > extended at version 5.3.96.36.22 of libia32x.so
>>> > 
>>> > *        ELF file loading security enhancements have been implemented
>>> > starting in 5.3.87.34.22 libia32x.so
>>> > 
>>> > *        /proc/stat/self reading is emulated starting in version
>>> > 5.3.96.36.22 of libia32x.so
>>> > 
>>> > Changes Kept From Prior IA-32 EL Releases
>>> > 
>>> > Details on the following errata are documented in the Itanium 2
>>> > processor specification update.
>>> > 
>>> > Erratum 17 - Self-modifying code on unaligned memory may result in an
>>> > access violation
>>> > 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Read corrections in readme. 
2.
3.
  

Actual Results:  Nothing.

Additional info:
Comment 1 Jakub Jelinek 2005-03-10 04:24:22 EST
This level of detail was deemed inappropriate for RH{S,B}A text by the docs team,
but the important part of that information is in the errata advisories.

Note You need to log in before you can comment on or make changes to this bug.